#include <LEDA/window.h>
#include <LEDA/bitmaps/leda_icon.xpm>

main()
{ window W(400,400);;
  W.init(0,100,0);
  char* pr = W.create_pixrect(leda_icon);

  W.start_buffering();

  int but;
  double x,y;
  while (W.read_event(but,x,y) != button_press_event) 
  { W.clear();
    W.put_pixrect(x,y,pr);
    W.flush_buffer();
   }

  W.del_pixrect(pr);

  return 0;
}
